Create Question

Create a new question in the question bank

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
Question bank ID

Request

This endpoint expects an object.
questionTypestringRequired

mcq|coding|behavioral

questionstringRequired
Question text
categorystringRequired

Category (max 100 chars)

difficultyLevelstringRequired

easy|medium|hard

expectedAnswerstringOptional

Expected answer (for coding/behavioral)

sampleAnswerstringOptional
Sample answer
scoringRubricmap from strings to anyOptional
Scoring rubric
optionslist of anyOptional

MCQ options (array of strings, required for MCQ)

correctAnswerstringOptional

Correct answer (required for MCQ)

subCategorystringOptional

Sub-category (max 100 chars)

tagslist of anyOptional
Array of tags
skillslist of anyOptional
Array of skills
competencieslist of anyOptional
Array of competencies
timeToAnswerdoubleOptional
Time to answer in seconds
isPublicbooleanOptional

Public visibility (default: false)

Response

Question created successfully
successboolean
dataobject
messagestring
timestampstring
versionstring

Errors

400
Bad Request Error
404
Not Found Error